#!/bin/bash
source "${AGENT_PATH}/common.sh"
_check_required_env_vars

# STATUS SCRIPT

# This is an example of a status script that checks if the service is running.

# check if the service is running
_is_container_running $CONTAINER_NAME || _die "Service is not running - did not find container $CONTAINER_NAME."

# determine port.
command -v jq &> /dev/null || _die "jq could not be found, please install it"
[ -f "${CONFIG_PATH}/sos_config.json" ] || _die "sos_config.json does not exist"
PORT=$(jq -r '.port' "${CONFIG_PATH}/sos_config.json")

# check if the service is healthy
curl -s -X GET http://localhost:${PORT}/status | jq -e '.result == "success"' \
     || _die "Service is not healthy - did not get OK response from /status endpoint."

echo "Service is healthy"
exit 0
